<f:comment>
<f:variable name="icon" value="{data.tx_mask_icon}"/>

<f:if condition="{data.tx_mask_link}">
    <f:link.typolink parameter="{data.tx_mask_link}"></f:link.typolink>
</f:if>
<f:variable name="bgColor" value="{data.tx_mask_bg_color}"/>
<f:variable name="textColor" value="{data.tx_mask_text_color}"/>
</f:comment>

<f:if condition="{data.tx_mask_link}">
    <f:then>
        <f:link.typolink parameter="{data.tx_mask_link}" class="d-block text-center p-3 p-lg-4 icon-card {data.tx_mask_bg_color}">
            <i class="{data.tx_mask_icon} {data.tx_mask_text_color}"></i>
            <f:if condition="{data.tx_mask_headline}">
                <div class="h4 mb-0 {data.tx_mask_text_color}">
                    {data.tx_mask_headline}
                </div>
            </f:if>
        </f:link.typolink>
    </f:then>
    <f:else>
        <div class="icon-card {data.tx_mask_bg_color}">
            <i class="{data.tx_mask_icon} {data.tx_mask_text_color}"></i>
            <f:if condition="{data.tx_mask_headline}">
                <div class="h4 mb-0 {data.tx_mask_text_color}">
                    {data.tx_mask_headline}
                </div>
            </f:if>
        </div>
    </f:else>
</f:if>
